iParticleBuiltinEffectorFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iParticleBuiltinEffectorFactory Struct Reference
Mesh plugins

Factory for builtin effectors. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEffectorFactory:

List of all members.

## Public Member Functions
virtual csPtr < iParticleBuiltinEffectorForce > | CreateForce () const =0
| Create a 'force' particle effector.
virtual csPtr < iParticleBuiltinEffectorLight > | CreateLight () const =0
| Create a 'light' particle effector.
virtual csPtr < iParticleBuiltinEffectorLinColor > | CreateLinColor () const =0
| Create a 'linear color' particle effector.
virtual csPtr < iParticleBuiltinEffectorLinear > | CreateLinear () const =0
| Create a 'linear' particle effector.
virtual csPtr < iParticleBuiltinEffectorVelocityField > | CreateVelocityField () const =0
| Create a 'velocity field' particle effector.

## Detailed Description

Factory for builtin effectors.

Definition at line 1041 of file particles.h.

## Member Function Documentation

virtual csPtr<iParticleBuiltinEffectorForce> iParticleBuiltinEffectorFactory::CreateForce | ( |  | ) | const`[pure virtual]`

Create a 'force' particle effector.

virtual csPtr<iParticleBuiltinEffectorLight> iParticleBuiltinEffectorFactory::CreateLight | ( |  | ) | const`[pure virtual]`

Create a 'light' particle effector.

virtual csPtr<iParticleBuiltinEffectorLinColor> iParticleBuiltinEffectorFactory::CreateLinColor | ( |  | ) | const`[pure virtual]`

Create a 'linear color' particle effector.

virtual csPtr<iParticleBuiltinEffectorLinear> iParticleBuiltinEffectorFactory::CreateLinear | ( |  | ) | const`[pure virtual]`

Create a 'linear' particle effector.

virtual csPtr<iParticleBuiltinEffectorVelocityField> iParticleBuiltinEffectorFactory::CreateVelocityField | ( |  | ) | const`[pure virtual]`

Create a 'velocity field' particle effector.

The documentation for this struct was generated from the following file:

- imesh/particles.h